View Issue Details

IDProjectCategoryView StatusLast Update
15999Feature requestsRemoteControlpublic2020-06-16 19:19
Reporterollehar Assigned Toollehar  
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Summary15999: Extend RemoControl function list_participants to allow basic conditions
Description

It is currently not possible to use basic conditions when requesting participants with the RemoteControl API.

For example a customer would like to query all participants where the validity date is in the future (validuntil).

Currently only absolute comparisons are possible in the API function call

(validuntil=='2020-03-01 00:00:00)

Please extend the functionso that you can pass 3 values for a condition instead of two - namely

[[Operator], [Field], [Comparison value]]

The operator is restricted to '=', '<', '>', '>=', '<=', and 'LIKE'.

Ideally the operator or feature can then be used for all fields in the subscriber table.

TagsNo tags attached.

Relationships

related to 16390 new Allow filtering when export reponse 

Activities

DenisChenu

DenisChenu

2020-03-18 19:44

developer   ~56650

Use compare
Then allow &lt;2020-03-01 00:00:0
?

ollehar

ollehar

2020-03-19 10:11

administrator   ~56664

Yeah, working on it in a branch right now.

ollehar

ollehar

2020-03-19 14:48

administrator   ~56666

Should be tested and later merged (when merge window opens again).

ollehar1

ollehar1

2020-06-15 15:25

reporter   ~58288

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=30174

Related Changesets

LimeSurvey: master f6e3f30d

2020-03-18 17:16:34

ollehar1

Details Diff
New feature 15999: Extend list_participants to allow compare conditions Affected Issues
15999
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File
mod - tests/data/surveys/survey_archive_265351_listParticipants.lsa Diff File
mod - tests/unit/helpers/RemoteControlListParticipantsTest.php Diff File

Issue History

Date Modified Username Field Change
2020-03-18 12:46 ollehar New Issue
2020-03-18 12:46 ollehar Status new => assigned
2020-03-18 12:46 ollehar Assigned To => ollehar
2020-03-18 16:36 ollehar Description Updated View Revisions
2020-03-18 16:36 ollehar Steps to Reproduce Updated View Revisions
2020-03-18 19:44 DenisChenu Note Added: 56650
2020-03-19 10:11 ollehar Note Added: 56664
2020-03-19 14:48 ollehar Status assigned => resolved
2020-03-19 14:48 ollehar Resolution open => fixed
2020-03-19 14:48 ollehar Note Added: 56666
2020-06-15 15:25 ollehar1 Changeset attached => LimeSurvey master f6e3f30d
2020-06-15 15:25 ollehar1 Note Added: 58288
2020-06-16 19:19 DenisChenu Relationship added related to 16390